From 58c5b150d329f94f3919075d588149715fd416ab Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Sep 02 2020 04:18:17 +0000
Subject: [PATCH 802/2232] Construction of cc build can be infallible


Enabled by the target dir refactor.

---

diff --git a/gen/build/src/paths.rs b/gen/build/src/paths.rs
index 6bc3e8a..870c49d 100644
--- a/gen/build/src/paths.rs
+++ b/gen/build/src/paths.rs
@@ -21,14 +21,10 @@ fn out_dir() -> Result<PathBuf> {
 }
 
 pub(crate) fn cc_build(target_dir: &TargetDir) -> cc::Build {
-    try_cc_build(target_dir).unwrap_or_default()
-}
-
-fn try_cc_build(target_dir: &TargetDir) -> Result<cc::Build> {
     let mut build = cc::Build::new();
     build.include(include_dir(target_dir));
     build.include(target_dir.parent().unwrap());
-    Ok(build)
+    build
 }
 
 // Symlink the header file into a predictable place. The header generated from

